This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 616420 - Possible memory corruption in some rare options
Possible memory corruption in some rare options
Status: CLOSED DUPLICATE of bug 903290
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: traceroute (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Synacek
BaseOS QE Security Team
: Patch
Depends On:
Blocks: 1159820
  Show dependency treegraph
 
Reported: 2010-07-20 08:27 EDT by Dmitry Butskoy
Modified: 2015-10-12 09:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 09:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
diffs between 2.0.14 and 2.0.15 (5.87 KB, patch)
2010-07-20 08:31 EDT, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Dmitry Butskoy 2010-07-20 08:27:20 EDT
There is an upstream bug SF 3029216 (https://sourceforge.net/tracker/?func=detail&atid=979603&aid=3029216&group_id=201944)
which is "a buffer overflow when "-A" AS path lookups and too long replies".

A similar issue might be possible in the implementation of "-e" (icmp extensions) option.

For "-A", all versions (since 2.0.0) are affected
For "-e", versions since 2.0.12 are affected.


How reproducible: just run:

traceroute -A 192.88.99.1


I have released the new upstream version 2.0.15, which fixes this "-A" bug, as well as possible similar issues in "-e" implementation.

Please, update to the 2.0.15.
Comment 1 Dmitry Butskoy 2010-07-20 08:31:03 EDT
Created attachment 433147 [details]
diffs between 2.0.14 and 2.0.15

The differencies from 2.0.14 to 2.0.15
Comment 5 Dmitry Butskoy 2010-12-02 07:59:16 EST
The latest upstream stable is 2.0.16 (which includes build system fixes required by make-3.82).
Comment 6 RHEL Product and Program Management 2011-01-07 10:32:47 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 7 Dmitry Butskoy 2011-01-11 07:31:48 EST
> Red Hat invites you to ask your support representative to propose this request

Guys!

I am not an end user. I am an AUTHOR of this traceroute.

I invite you to update the traceroute package up to the latest upstream version 2.0.17 .

If you prefer, I can send a patch (diff 2.0.3<-->2.0.17) which allow you to apply all the changes without the change of the version 2.0.3 </sarcasm>

Actually, the newer version (starts from 2.0.12) are already well tested in most of the major Linux distros, including Fedora. I hope it is a time to include 2.0.17 to the RHEL as well (as you have included my 2.0.3 into RHEL5 some years ago).

Sorry for the tone, but I cannot understand why the older and worse (from the point of the author) version of 2.0.3 might provide more commercial benefits rather then the latest and best 2.0.17 ...
Comment 8 RHEL Product and Program Management 2011-07-05 19:45:50 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Note You need to log in before you can comment on or make changes to this bug.